Get all time entries for a client Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/client/{client_uuid}/all-time-entries

Includes time entries within the client account cases, and tasks.

Path parameters

  • client_uuid string Required
  • string string Required

    Optional parameter. $client_uuid

Query parameters

  • filter[trackable_type] string

    Filter by a comma separated list of trackable types.

  • filter[account_uuids] string

    Time entries owned by account UUIDs, comma separated list. Do not include if getting time entries for current user.

  • filter[start_date_after] string

    Filter by time entries after a given start date.

  • filter[start_date_before] string

    Filter by time entries before a given start date.

  • filter[end_date_after] string

    Filter by time entries after a given end date.

  • filter[end_date_before] string

    Filter by time entries before a given end date.

  • sort string

    Field to sort by. Valid fields are [created_at, start_date, end_date]. Negative sign to denote DESC. Defaults to '-end_date'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        The name of the time entry.

      • description string

        The description of the time entry.

      • trackable_type string

        The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

      • trackable object

        The model that is being tracked. The example given is a client, but it can be a case, firm, or task.

        Hide trackable attributes Show trackable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references string
      • start_date string

        The start time of the time entry.

      • end_date string

        The end time of the time entry.

      • is_active boolean

        Determines if the time entry is currently ongoing.

      • total_time_in_minutes integer

        Total time in minutes.

      • computed_time_elapsed_in_seconds integer

        Computed time elapsed in seconds.

      • account object

        Who started the timer.

        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references string
GET /api/v1/client/{client_uuid}/all-time-entries
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/all-time-entries' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "e32f988d-5e02-49d2-acf2-b59b3d7bb9e1",
      "created_at": "2026-06-09T14:10:14+01:00",
      "updated_at": "2026-06-09T14:10:14+01:00",
      "name": "Research",
      "description": "This is a description.",
      "trackable_type": "Client",
      "trackable": {
        "uuid": "e279b590-c589-405f-93ef-5e5dc308944e",
        "created_at": "2026-06-09T14:10:14+01:00",
        "updated_at": "2026-06-09T14:10:14+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "start_date": "2026-06-09T13:20:14+01:00",
      "end_date": "2026-06-09T13:48:14+01:00",
      "is_active": true,
      "total_time_in_minutes": 28,
      "computed_time_elapsed_in_seconds": 1680,
      "account": {
        "uuid": "2313e143-0aa6-4338-a7cf-07fced12d9b9",
        "created_at": "2026-06-09T14:10:14+01:00",
        "updated_at": "2026-06-09T14:10:14+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      }
    }
  ]
}